<div class="row justify-content-center">
    <div class="col-8">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
            <h2 id="jhi-agent-member-activation-heading">Create or edit a Agent Member Activation</h2>

            <div>
                <jhi-alert-error></jhi-alert-error>

                <div class="form-group" [hidden]="!editForm.get('id')!.value">
                    <label for="id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" formControlName="id" readonly />
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_agentId">Agent Id</label>
                    <input type="text" class="form-control" name="agentId" id="field_agentId"
                           formControlName="agentId"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_invoice">Invoice</label>
                    <input type="text" class="form-control" name="invoice" id="field_invoice"
                           formControlName="invoice"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_date">Date</label>
                    <div class="d-flex">
                        <input id="field_date" type="datetime-local" class="form-control" name="date" formControlName="date" placeholder="YYYY-MM-DD HH:mm"/>
                    </div>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_activate">Activate</label>
                    <div class="d-flex">
                        <input id="field_activate" type="datetime-local" class="form-control" name="activate" formControlName="activate" placeholder="YYYY-MM-DD HH:mm"/>
                    </div>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_remark">Remark</label>
                    <input type="text" class="form-control" name="remark" id="field_remark"
                           formControlName="remark"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_currency">Currency</label>
                    <input type="text" class="form-control" name="currency" id="field_currency"
                           formControlName="currency"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_money">Money</label>
                    <input type="number" class="form-control" name="money" id="field_money"
                           formControlName="money"/>
                </div>
            </div>

            <div>
                <button type="button" id="cancel-save" class="btn btn-secondary" (click)="previousState()">
                    <fa-icon icon="ban"></fa-icon>&nbsp;<span>Cancel</span>
                </button>

                <button type="submit" id="save-entity" [disabled]="editForm.invalid || isSaving" class="btn btn-primary">
                    <fa-icon icon="save"></fa-icon>&nbsp;<span>Save</span>
                </button>
            </div>
        </form>
    </div>
</div>
